Bug 503823 - Joining hidden SSID network using wpa_supplicant/NetworkManager requires module load options for iwlagn adapter
Joining hidden SSID network using wpa_supplicant/NetworkManager requires modu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 17:20 EDT by thomas.swan
Modified: 2010-06-28 08:47 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:47:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description thomas.swan 2009-06-02 17:20:46 EDT
Description of problem:
Could not join hidden SSID networks with the intel wireless 4965agn adapter. 

Version-Release number of selected component (if applicable):
Using kernel-2.6.29.4-167 with latest updates on Fedora 11 RC as of 2 June 2009.
Installed on Dell Vostro 1510 laptop with IWL4965AGN wireless adapter.

How reproducible:
Always.


Steps to Reproduce:
1. Configure wpa_supplicant.conf to use a hidden SSID network
2. restart wpa_supplicant
3. wait
4. give up
  
Actual results:
Unable to join hidden SSID networks.

Expected results:
Should be able to join hidden SSID networks.

Additional info:
I was able to get wpa_supplicant to work correctly using a work-around.

1. add install iwlagn /sbin/modprobe --ignore-install iwlagn amsdu_size_8K=1 to
   /etc/modprobe.d/wlan.conf
2. stop NetworkManager or (network and wpa_supplicant services)
3. rmmod iwlagn
4. modprobe -a iwlagn
5. start NetworkManager or (network and wpa_supplicant services)
6. search for and join hidden SSID networks
Comment 1 Slavi Pantaleev 2009-06-20 17:06:43 EDT
I can confirm this on a different notebook (HP 8710p) with the same wireless card.

It only fails to connect to hidden networks - you use the gnome applets to start connecting and it stays in "connecting mode" forever.

If I make the network broadcast itself to the world, it connects successfully and runs great.
Comment 2 Nuno Anjos 2009-07-25 06:34:07 EDT
I can also Confirm, after today updates, lenovo thinkpad R61, intel 4965, iwlagn.

It only fails to connect to hidden networks, now it does nothing, doesn't even search when i connect to hidden network.


If I make the network broadcast itself to the world, it connects successfully
and runs great. 

In home i can fix it, but in work i cant connect, and have to use cable.
Comment 3 Nuno Anjos 2009-07-29 07:04:34 EDT
Note i Have  Fedora x86_64 = 2.6.29.6-213.fc11.x86_64

I managed to grab the hidden wireless by BSSID, the mac address of the wireless device.


i hope it holds, NetworkManager should have a scan button...even for hidden networks like iwlist.
Comment 4 Dan Williams 2009-11-29 17:12:41 EST
Is this still an issue with latest 2.6.30.9 kernels that are available as Fedora 11 updates?  This issue is more a driver problem than a supplicant problem.  If it's still present with 2.6.30.9 and later, please make sure you check the "I'm providing the requested information button" so that the bug is no longer in NEEDINFO state.
Comment 5 Bug Zapper 2010-04-27 10:37:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 thomas.swan 2010-04-27 23:53:46 EDT
I can confirm that it has been fixed during the Fedora 12 cycle.  I cannot pinpoint exactly when the situation changed, but it is fixed for me.
Comment 7 Bug Zapper 2010-06-28 08:47:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.